domingo, 7 de noviembre de 2010

Instalar Rosegarden 10 en Ubuntu Karmic

El viernes me enteré, a través de Pelota de Playa Records, que hay una versión 10.10 del programa. Pero si sigues con alguna versión antigua de Ubuntu y te gusta Rosegarden, estás condenado a la versión 1.7.3 como mucho.

Si por el motivo que sea sigues con Ubuntu Karmic Koala instalado y no tienes intención de actualizar el sistema, y además, te gustaría tener la última versión de Rosegarden, continúa leyendo...

Primero necesitamos el paquete con el código fuente. Lo obtendremos de este enlace. Hay que buscar donde pone Download GNU tarball, en la parte inferior de la página, y descargar de ahí todos los archivos empaquetados juntos o, de lo contrario, tendríamos que descargarlos uno a uno.

Una vez descargado, lo descomprimimos, y como aconsejo en el procedimiento general para instalar desde el código fuente, nos leemos primero el archivo README. Nos encontramos con una instrucción un tanto especial:
If the directory where you found this README file does not already contain a configure script, you must generate one by running:

sh ./bootstrap.sh

Once you have a configure script, ensure that all of your build dependencies
have been installed, and then run:

./configure [ --prefix=[PREFIX] QTDIR=[QTDIR] [--enable-debug] ]
make
make install
Efectivamente, en el directorio de la carpeta ya descomprimida no hay un archivo de script para configure, así que hay que crearlo. Una vez situados en el directorio de instalación, damos la orden:
sh ./bootstrap.sh
En el caso de que salga esto como respuesta:
./bootstrap.sh: 2: aclocal: not found
Hay que instalar automake:
sudo apt-get install automake
Una vez instalado, se repite sh ./bootstrap.sh, y si no sale ningún mensaje más, es que todo hasta ahora ha ido bien.

A partir de este punto procederemos como al instalar cualquier programa con el código fuente:
./configure
make
sudo make install
Tras la orden ./configure es muy posible que solicite más dependencias. En mi caso me pidió las siguientes:

  • dssi-dev
  • libo0-dev
  • libfftw3-dev
  • makedepend
El listado completo de dependencias está en esta página. Un comando de apt-get o aptitude ordenando la instalación de todos esos paquetes resolvería el problema de inmediato.

Tras la orden make, la Terminal tarda un buen rato en terminar su trabajo. Paciencia. Es más, llegados a este punto de la instalación, recomiendo cerrar todos los programas que no sean necesarios, porque se precisa todo el poder de la computadora para realizar las operaciones.

Una vez terminado el proceso, damos la orden de instalación sudo make install, y en pocos segundos ya tenemos Rosegarden 11.02 funcionando en Karmic... Un momento... ¿11.02? ¡Pues sí!


Tal como dice la primera captura, se trata de una versión en desarrollo, tal vez inestable, pero de todas formas lo voy a tener muy en cuenta de cara a crear las partituras para el registro de mi álbum, ya que con MuseScore no me llevo todo lo bien que me gustaría, y en Rosegarden, además del editor de partituras propiamente dicho, es posible editar las notas con el piano roll.


Todo esto es mucho más fácil de hacer de lo que parece, pero para tener de la versión 10.02 en adelante, basta con actualizar el sistema de Lucid en adelante, y lo tendremos en los repositorios, listo para instalar. Aunque, en principio, sí son necesarios todos estos pasos para instalarse la última versión disponible del programa.

Por último, recomiendo desinstalar la versión antigua de Rosegarden antes de instalar la nueva, o se quedarán duplicados los lanzadores en el menú Aplicaciones - Sonido y Vídeo.

11 comentarios:

  1. Guau, hace no mucho instalé la versión de desarrollo y era la 10.06. Ahora veo que la última es la 10.10 y ya está la 11.02 en desarrollo. Un proyecto muy activo.

    Como sugerencia, en lugar de bajar las fuentes como indicas, puedes usar "svn co" como explica aquí http://www.rosegardenmusic.com/getting/source/ (por supuesto, la versión en trunk). Así, a partir de ahora podrás estar al día del desarrollo de las fuentes con un simple "svn update".

    Saludos, Pablo

    ResponderEliminar
  2. Hola, Pablo:

    La verdad es que lo que comentas de svn es lo primero que hice. Puse el comando svn co https://rosegarden.svn.sourceforge.net/svnroot/rosegarden/trunk/rosegarden y obtuve como respuesta una serie interminable de líneas, que terminaban en ésta:

    Revisión obtenida: 12126.

    Y el viejo Rosegarden (1.7.6) seguía ahí, así que realmente no sabía lo que había hecho. Si es que había hecho algo, claro... :$

    Es cierto que hay una página en inglés con instrucciones, pero no parece que me aclare muchos las cosas, así que me fui a lo seguro, que es instalar con las fuentes, cosa que se me da mucho mejor últimamente.

    ¿Sabes? Como editor de partituras parece que ha mejorado bastante, pudiendo modificar las notas con la rejilla o el editor tipo piano roll. Me parece que está ganando puntos con respecto a MuseScore en ese sentido. Al menos, para hacer unas partituras sencillas -tipo piano-, que son las que piden para la Propiedad Intelectual, Rosegarden me sobra.

    Si algún día quiero hacer un arreglo orquestal completo, tal vez me vaya a MuseScore, ¡ja, ja, ja! :D

    Un saludo amigo :H

    ResponderEliminar
  3. Pues sí, Igny, ahora que lo dices, ¿por qué han adelantado la versión de la 1.7.x a la 10 directamente?

    Por cierto, me entero en el primer post de tu blog que eres de o vives en, o trabajas en Godella. ¡Qué pequeño es el mundo! Yo me crié en Burjassot, el pueblo de al lado, ¡je, je, je! :)

    ResponderEliminar
  4. Guau, tras leer tu entrada definitivamente me he animado a instalar la última versión de Rosegarden (y ardour) y visualmente es impecable! El editor de partituras tiene muy buena pinta.
    Eso si, me he encontrado con los típicos marrones: jack no tira y no tengo un kernel rt, pero bueno, después de probar de solucionarlo a las buenas editando archivos de configuracion e instalarle el kernel rt, he ido a las malas: Synaptic y meterle unos cuantos packetes de Ubuntu studio y solucionado, ya suena!!!

    Eso si, con los sonidos de los sintes pues lo que se refiere a Dispostivio General Midi, no hay manera, me imagino que debe de coger los sonidos de un teclado externo por audio pero no lo he probado porque sólo tengo un controlador!

    A lo mejor hay que tener algún soundfont o algo parecido, pero bueno, suena!

    Eso si, Ardour está como siempre, que yo sepa sólo sirve para audio...

    ¡Habrá que ir trasteando!

    ResponderEliminar
  5. José, es verdad, en subversion tienen todito, lo pasado, lo presente y lo experimental. Las fuentes de la rama principal del desarrollo de rosegarden están en la carpeta trunk.
    Alejandro, hay dos formas de sacar sonido a una pista midi de rosegarden, con un plugin dssi (plugin sinte) y por medio de un sintetizador externo, que a su vez puede ser hardware o software. Para ello, tienes que ir a Estudio -> Gestionar Dispositivos MIDI y asignar el dispositivo de reproducción (que por defecto se llama "General MIDI" pero que puedes nombrar como quieras) a una salida que puede ser la salida MIDI de tu tarjeta de audio para que la lleves a un sinte hardware, o bien a la entrada de un sintetizador software.

    José, que yo sepa, las series 10 de Rosegarden se caracterizan principalmente por estar programadas en qt4. Rosegarden >= 10 ya no depende de las librerías de kde. Supongo que por ser un cambio muy importante dieron ese salto en la numeración.

    Saludos a Igny y a todos!

    ResponderEliminar
  6. Veo que esto está más movidito, hay más actividad y me gusta :)

    ResponderEliminar
  7. Hola a todos!

    Después de bastantes esfuerzos con configuraciones de audio de Jack y similares con una tarjeta de sonido externa, Rosegarden y Musescore suenan y tienen buena pinta, pero... no van del todo bien. :-/

    Con Rosegarden 10.02, al meter una blanca con puntillo en un compás de 2x4, el programa crashes, en lugar de meter una negra en el siguiente compás. Por otro lado, en el notation editor me dio un día por mover uno de los toolbars, y ahora se ha quedado "enganchado" en el borde de la pantalla (y aparece en todos los workspaces de la misma forma). Al no ver forma de moverlo de ahí, hice un complete removal de Rosegarden, y al reinstalarlo todo sigue igual. ¿Sabe alguien dónde se quedan los archivos de configuración de Rosegarden que sobreviven a complete removal?

    En fin, decidí hacer lo que se comenta aquí de instalar una versión más nueva, pero al hacer ./configure me dice:
    configure: error: Failed to find required X11 header X11/SM/SMlib.h
    ¿me falta algo por instalar? (he comprobado que tengo todas las dependencias de la lista instaladas)

    Por otro lado, por si a alguien le ha pasado: el Note Entry de Musescore funciona con mi piano (conectado con cable Midi por USB) sólo durante un rato. Luego yo sigo tocando notas al piano, y ellas simplemente no aparecen (aunque suenan, es decir, llegan a Jack y a Qsynth, pero no a Musescore). Reinicio el programa y vuelve a funcionar todo, nuevamente sólo durante un par de compases...

    Muchas gracias de antemano!

    Pablo A

    ResponderEliminar
  8. Hola, Pablo A:

    Para el problema de la compilación, probaría a instalar el paquete que se llama linux-headers correspondiente al kernel que tengas instalado. No me ha pasado eso mismo, así que no puedo asegurarte que funciona. Instálalo y prueba a hacer ./configure después a ver qué tal.

    Lo de la carpeta donde guarda la configuración Rosegarden... Si haces una desinstalación completa, me temo que se borra todo. :(

    Y el problema de la conexión del teclado con MuseScore... No tengo respuesta a ese problema. Me pasa a veces algo similar cuando toco ZynAddSubFx, que me deja de sonar por las buenas, luego miro en la pestaña ALSA de las conexiones de Jack, y ya no está ZynAddSubFx.

    La verdad es que no he encontrado un patrón por el cual pase eso. Si descubro algo, volveré para contarlo, aunque últimamente he dejado un poco de lado el estudio en Ubuntu para poder terminar unos proyectos que tengo a medias en Windows, así que es posible que tarde en averiguarlo.

    Es muy posible que tu tocayo, Pablo, de Semicorchux, pueda sacarte de dudas mucho mejor que yo.

    Siento no serte de más ayuda. Gracias por tu comentario. Un saludo.

    ResponderEliminar
  9. hola, a mi me salta el famoso

    checking QTDIR... configure: error: *** Failed to find Qt4 installation. QTDIR must be defined, or --with-qtdir option given

    ya probé con

    ./configure --prefix= QTDIR=/usr/lib/qt4 ó QTDIR=/usr/share/qt4

    y nada... hace unos meses que estoy en Ubuntu y ésto es nuevo aún. Sepan entender.

    Reviso en Sinptic y me dice que tengo instalado el python-qt4 !!!!!!!!
    que rayos?????????

    Muchas gracias y quiero probar el Rose 10! no me imagino cómo será ya que ando con la 1.7.3!!!!!!!!

    ResponderEliminar
  10. Hola, Walter D:

    Ahora mismo tengo averiado el ordenador del estudio y no puedo averiguar en condiciones la solución a tu problema.

    Si estás intentando compilar Rosegarden para tener la versión 10, es porque estás en Karmic como mucho. Mi recomendación, que ya la hago hacia el final del post, es que actualices el sistema a Lucid o Maverick y no te compliques la vida más de lo que ya es ;) . Lo digo porque en la web oficial de Rosegarden dice que a partir de Lucid está la versión 10 en los repositorios oficiales.

    No tendrías ni que compilar ni buscar dependencias ni nada, usas Synaptic, o apt-get o el instalador que más te guste y listo para funcionar.

    Por cierto, el cambio con respecto a 1.7.3 es muy significativo, vale la pena probarlo. Un saludo y gracias por comentar.

    ResponderEliminar

No hay normas especiales para publicar comentarios en este blog. Sólo las básicas: respeta, no insultes, y no hagas SPAM descaradamente. Tampoco se admitirán comentarios que vulneren la Ley. Cualquier aportación, consulta y crítica es bienvenida, a condición de cumplir estas normas básicas.

Si lo que quieres es ponerte en contacto directamente conmigo, dispones para ello de un formulario de contacto.